Subject: Re: [O] bug#24791: org-todo-yesterday behaves like plain org-todo (incorrect timestamp)

From: Allen Li <[email-masked]>
Date: Fri, 1 Dec 2017 20:00:11 -0800

On Fri, Dec 1, 2017 at 1:53 PM, Nicolas Goaziou <[email-masked]> wrote:
> Hello,
>
> Jan Böhm <[email-masked]> writes:
>
>> Symptoms: both org-todo-yesterday and org-agenda-todo-yesterday behave
>> just like normally setting todo state to "DONE" with org-todo.
>> Specifically, the timestamp
>> added in the log takes the current time instead of 23:59 of the previous
>> day, as would be expected.
>>
>> Replicate behaviour:
>> start emacs -Q
>> set org-log-done to "time"
>> visit new file and switch to org mode
>> create TODO headline and set TODO state to "DONE" by calling
>> "org-todo-yesterday"
>> ⇒ todo state is set to DONE correctly, but the timestamp inserted in
>> the log drawer is the current time.
>
> I cannot reproduce it in a recent Org release. Could you double-check
> with a newer Org?

I am going to blindly wager that this is yet another bug caused by Org
mode's subtle timezone issues.

I can reproduce it (and crucially, I am not in the GMT time zone),
although the repro recipe produces a CLOSED timestamp and not a log
drawer timestamp.